Skip to content

Get platform comparison

GET
/api/social-analytics/comparison
curl --request GET \
--url 'https://api.ultimateteam.ai/api/social-analytics/comparison?start_date=2026-04-15&end_date=2026-04-15' \
--header 'X-API-Key: <X-API-Key>'

Side-by-side performance comparison across all connected social platforms.

start_date
required
Start Date

Period start date (YYYY-MM-DD)

string format: date

Period start date (YYYY-MM-DD)

end_date
required
End Date

Period end date (YYYY-MM-DD)

string format: date

Period end date (YYYY-MM-DD)

Successful Response

Media typeapplication/json
PlatformComparison

Side-by-side comparison of all connected social platforms.

Attributes: platforms: List of per-platform metrics. best_engagement_rate: Platform with the highest engagement rate. best_reach: Platform with the highest reach. recommendations: Actionable recommendations based on the comparison.

object
best_engagement_rate
Best Engagement Rate
string
""
best_reach
Best Reach
string
""
platforms
Platforms
Array<object>
PlatformMetrics

Per-platform aggregated engagement metrics for a date range.

Attributes: platform: Social platform identifier. reach: Total unique users who saw content. impressions: Total content views (including repeats). engagement: Total engagement actions (likes + shares + comments + clicks). likes: Total likes/reactions. shares: Total shares/retweets/reposts. comments: Total comments/replies. clicks: Total link clicks. followers: Current follower count (latest known). engagement_rate: engagement / impressions (0.0 if no impressions). period_start: Start of the measured period. period_end: End of the measured period.

object
clicks
Clicks
integer
0
comments
Comments
integer
0
engagement
Engagement
integer
0
engagement_rate
Engagement Rate
number
0
followers
Followers
integer
0
impressions
Impressions
integer
0
likes
Likes
integer
0
period_end
Period End
string format: date
period_start
Period Start
string format: date
platform
required
Platform
string
reach
Reach
integer
0
shares
Shares
integer
0
recommendations
Recommendations
Array<string>
Example
{
"best_engagement_rate": "",
"best_reach": "",
"platforms": [
{
"clicks": 0,
"comments": 0,
"engagement": 0,
"engagement_rate": 0,
"followers": 0,
"impressions": 0,
"likes": 0,
"reach": 0,
"shares": 0
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}